Summary:	A stroke translation library
Summary(pl.UTF-8):	Biblioteka translacji przesuwu myszki
Name:		libstroke
Version:	0.5.1
Release:	5
License:	GPL
Group:		Libraries
Source0:	http://www.etla.net/libstroke/%{name}-%{version}.tar.gz
# Source0-md5:	51b9a4e309ac15cfcab96191eed03cb2
Patch0:		%{name}-am15.patch
Patch1:		%{name}-am18.patch
Patch2:		%{name}-link.patch
URL:		http://www.etla.net/libstroke/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibStroke is a stroke translation library. Strokes are motions of the
mouse that can be interpreted by a program as a command. Strokes are
used extensively in CAD programs. I fell in love with them when I was
using the Mentor Graphics CAD tools and the CAD tools internally
developed by Intel.

%description -l pl.UTF-8
LibStroke to biblioteka tłumacząca ruchy myszką. Ruchy mogą być
przechwycone przez program i zinterpretowane jako komenda. Tego typu
komendy są bardzo często stosowane w programach typu CAD.

%package devel
Summary:	Header files for libstroke library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libstroke
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libstroke library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libstroke.

%package static
Summary:	Static libstroke library
Summary(pl.UTF-8):	Biblioteka statyczna libstroke
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libstroke library.

%description static -l pl.UTF-8
Biblioteka statyczna libstroke.

%package -n libgstroke
Summary:	libgstroke - GNOME stroke implementation
Summary(pl.UTF-8):	libgstroke - implementacja stroke dla GNOME
Group:		X11/Libraries
Requires:	gtk+ >= 1.2.7
Conflicts:	libstroke < 0.5.1-2

%description -n libgstroke
libgstroke - GNOME stroke implementation.

%description -n libgstroke -l pl.UTF-8
libgstroke - implementacja stroke dla GNOME.

%package -n libgstroke-devel
Summary:	Header files for libgstroke library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgstroke
Group:		X11/Development/Libraries
Requires:	libgstroke = %{version}-%{release}
Requires:	gtk+-devel >= 1.2.7

%description -n libgstroke-devel
Header files for libgstroke library.

%description -n libgstroke-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgstroke.

%package -n libgstroke-static
Summary:	Static libgstroke library
Summary(pl.UTF-8):	Statyczna biblioteka libgstroke
Group:		X11/Development/Libraries
Requires:	libgstroke-devel = %{version}-%{release}

%description -n libgstroke-static
Static libgstroke library.

%description -n libgstroke-static -l pl.UTF-8
Statyczna biblioteka libgstroke.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-x \
	--disable-tcl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   -n libgstroke -p /sbin/ldconfig
%postun -n libgstroke -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT CREDITS README NEWS TODO doc/standard_strokes*
%attr(755,root,root) %{_libdir}/libstroke.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libstroke.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libstroke.so
%{_libdir}/libstroke.la
%{_includedir}/stroke.h
%{_aclocaldir}/libstroke.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libstroke.a

%files -n libgstroke
%defattr(644,root,root,755)
%doc README.libgstroke
%attr(755,root,root) %{_libdir}/libgstroke.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstroke.so.0

%files -n libgstroke-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstroke.so
%{_libdir}/libgstroke.la
%{_includedir}/gstroke.h
%{_aclocaldir}/libgstroke.m4

%files -n libgstroke-static
%defattr(644,root,root,755)
%{_libdir}/libgstroke.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libstroke.git;a=log;h=master

* Tue Jan 21 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6eeae6f
- ghost soname symlinks
- post,postun for libgstroke
- rel 5

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1343509
- release 4

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 50dfa9c
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2c0821d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8d328c3
- converted to UTF-8

* Fri Dec 19 2003 Jakub Bogusz <qboosh@pld-linux.org> ce5192d
- added am18 patch (libstroke.m4 and libgstroke.m4 quotation fixes)
- added link patch (libgstroke linking fix), added missing gtk+ deps
- separated libgstroke (reqs X unlike base package)
- release 2

* Fri Dec 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 10f896d
- libgstroke linking fix

* Fri Dec 19 2003 Jakub Bogusz <qboosh@pld-linux.org> def8ebb
- libstroke.m4 and libgstroke.m4 quotation fixes

* Thu Aug 28 2003 ankry <ankry@pld-linux.org> a9f502c
- cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2f2cefa
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b1cdfcd
- massive attack s/pld.org.pl/pld-linux.org/

* Wed May 21 2003 djrzulf <djrzulf@pld-linux.org> d37178d
- From: Robert 'dzeus' Graużenis <dzeus@zatorze.slupsk.pl> :
  - added missing BR,

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> 8130b0f
- removed two lines with define

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> f6b55fd
- new %%doc

* Tue Nov 12 2002 Arkadiusz Miśkiewicz <arekm@maven.pl> 3212ccb
- updated to 0.5.1

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> 374b550
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

* Sun Jun 23 2002 kloczek <kloczek@pld-linux.org> 5a73c35
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 648adcd
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Sat Mar 23 2002 kloczek <kloczek@pld-linux.org> ec1c35e
- release 2,
- added am15 patch and full regenerate ac/am/lt files.

* Sat Mar 23 2002 kloczek <kloczek@pld-linux.org> 733245f
- patch for automake 1.5.

